Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.liquids
Class LiquidEvent.LiquidSpilledEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.liquids.LiquidEvent
              net.minecraftforge.liquids.LiquidEvent.LiquidSpilledEvent

Enclosing class:
  LiquidEvent

    public static class LiquidEvent.LiquidSpilledEvent

extends LiquidEvent

Mods should fire this event when a liquid "spills", for example, if a block containing liquid is broken.

Author:
  cpw

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.liquids.LiquidEvent
`LiquidEvent.LiquidDrainingEvent, LiquidEvent.LiquidFillingEvent, LiquidEvent.LiquidMotionEvent, LiquidEvent.LiquidSpilledEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary

Fields inherited from class net.minecraftforge.liquids.LiquidEvent
`liquid, world, x, y, z`

Constructor Summary
`LiquidEvent.LiquidSpilledEvent(LiquidStack liquid, World world, int x, int y, int z)`

Method Summary

Methods inherited from class net.minecraftforge.liquids.LiquidEvent
`fireEvent`

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiquidEvent.LiquidSpilledEvent

    public LiquidEvent.LiquidSpilledEvent(LiquidStack liquid,
                                          World world,
                                          int x,
                                          int y,
                                          int z)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD